Bug 1032322 - (CVE-2013-6370) CVE-2013-6370 json-c: buffer overflow if size_t is larger than int
CVE-2013-6370 json-c: buffer overflow if size_t is larger than int
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140409,repor...
: Security
Depends On: 1085677 1085676 1085678 1086209 1097036 1097037
Blocks: 1028485 1032325
  Show dependency treegraph
 
Reported: 2013-11-19 20:01 EST by Vincent Danen
Modified: 2015-11-25 05:04 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-11 01:47:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-11-19 20:01:20 EST
Florian Weimer reported that the printbuf APIs used in the json-c library used ints for counting buffer lengths, which is inappropriate for 32bit architectures.  These functions need to be changed to using size_t if possible for sizes, or to be hardened against negative values if not.  This could be used to cause a denial of service in an application linked to the json-c library.


Acknowledgements:

This issue was discovered by Florian Weimer of the Red Hat Product Security Team.
Comment 3 Huzaifa S. Sidhpurwala 2014-04-09 02:18:53 EDT
Public via:

https://github.com/json-c/json-c/commit/64e36901a0614bf64a19bc3396469c66dcd0b015
Comment 5 Huzaifa S. Sidhpurwala 2014-04-09 02:22:54 EDT
Created json-c tracking bugs for this issue:

Affects: fedora-all [bug 1085676]
Affects: epel-all [bug 1085677]
Comment 7 Fedora Update System 2014-04-17 02:04:07 EDT
json-c-0.11-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-04-30 00:07:30 EDT
json-c-0.11-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2014-06-10 08:35:27 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0703 https://rhn.redhat.com/errata/RHSA-2014-0703.html

Note You need to log in before you can comment on or make changes to this bug.